﻿@model IList<DAL.DBEntities.vt_Customers>
@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<link href="~/scripts/devExtream/DevCSS/dx.light.css" rel="stylesheet" />
<link href="https://cdn3.devexpress.com/jslib/18.2.4/css/dx.light.css" rel="stylesheet">
<link href="~/scripts/devExtream/DevCSS/dx.common.css" rel="stylesheet" />
@*<link href="~/scripts/devExtream/DevCSS/dx.contrast.css" rel="stylesheet" />*@

<!-- Page Title Area -->
<div class="row page-title clearfix">
    <div class="page-title-left">
        <h6 class="page-title-heading mr-0 mr-r-5">Customers</h6>
        <p class="page-title-description mr-0 d-none d-md-inline-block">Overview of your Customers</p>
    </div>
    <!-- /.page-title-left -->
    <div class="page-title-right d-none d-sm-inline-flex">
        <ol class="breadcrumb">
            <li class="breadcrumb-item">
                <a href="javascript:;">Dashboard</a>
            </li>
            <li class="breadcrumb-item active">Customers</li>
        </ol>
    </div>
    <!-- /.page-title-right -->
</div>
<!-- /.page-title -->
<!-- =================================== -->
<!-- Different data widgets ============ -->
<!-- =================================== -->
@*<div class="widget-list mb-3">
        <div class="row">
            <div class="widget-holder col-md-12">
                <div class="widget-bg">
                    <div class="widget-body">
                        <div class="row">
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label for="l30">Has Orders</label>
                                    <select class="form-control" id="l13">
                                        <option>All</option>
                                        <option>Option 2</option>
                                        <option>Option 3</option>
                                        <option>Option 4</option>
                                        <option>Option 5</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label for="l30">Email Address</label>
                                    <input class="form-control" id="l30" placeholder="Email Address" type="text">
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label for="l30">Country</label>
                                    @Html.DropDownList("CountryCode", new SelectList(ViewBag.CountryList, "CountryCode", "CountryName"), "Please Select",
        new Dictionary<string, Object> { { "class", "form-control" }, { "data-live-search", "true" }, { "data-max-options", "1" } })
                                </div>
                            </div>
                            <div class="col-sm-12 text-right">
                                <button class="btn btn-pinterest ripple  ">
                                    <i class="material-icons list-icon"></i>  <span>Filter</span>
                                </button>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>*@


<div class="widget-list">
    <div class="row">
        <div class="widget-holder col-md-12">
            <div class="widget-bg">
                <div class="widget-body">
                    <div class="row">
                        <div class="col-sm-6">
                            <h5 class="box-title mt-2">Customers</h5>
                        </div>
                        <div class="col-sm-6 text-right">
                            <a class="btn btn-pinterest ripple" href="@Url.Action("CreateCustomer", "Customer")">
                                <i class="material-icons list-icon"></i>  <span>Add Customers</span>
                            </a>

                            @*<a class="btn btn-pinterest ripple" href="@Url.Action("DownloadInvoice", "Invoice")">Download Pdf</a>*@
                            <a class="export" href="Customer/ExportCustomer">Export Customer</a>
                        </div>
                    </div>
                    <div id="devCustomerDataGrid" class="table table-striped"></div>

                    <div id="gridContainer"></div>
                    @*<table id="customerTable" class="tbl_expend_customer table tble_customer">
                            <thead>
                                <tr class="sm-text">
                                    <th data-type="competency">Company name</th>
                                    <th class="text-align-center" data-type="percent-above-score">Primary domain name</th>
                                    <th data-type="average-score">Relationship</th>
                                    <th>Actions</th>
                                </tr>
                            </thead>
                            <tbody>
                                @{
                                    foreach (var item in Model)
                                    {
                                        <tr data-node="treetable-650__1" data-pnode="">
                                            <td class="sm-text" data-code="A" data-competencyid="650-1">
                                                @item.Company
                                            </td>
                                            <td class="sm-text text-align-center">@item.CompanyAccount</td>
                                            <td class="sm-text color-gray">Cloud Reseller</td>
                                            <td class="">
                                                <a class="btn btn-pinterest tbl_expend_btn ripple" href="customer-topmenu.html"><span>Add Subscriptions</span></a>
                                            </td>
                                        </tr>
                                    }
                                }
                             </tbody>
                        </table>*@
                </div>
                <!-- /.widget-body -->
            </div>
            <!-- /.widget-bg -->
        </div>
        <!-- /.widget-holder -->
        <!-- /.widget-holder -->
        <!-- /.widget-holder -->
        <!-- /.widget-holder -->
    </div>
    <!-- /.row -->
    <!-- /.widget-body -->
</div>
<!-- /.widget-bg -->
<div class="modal fade InvoicePDF" id="InvoiceConfirmation" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" data-keyboard="false" data-backdrop="static">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">Generate Invoice</h4>
            </div>
            <div class="modal-body">
                <input type="hidden" _id id="Customerid" />
                @Html.TextBox("Date", null, new { @class = "datetimepicker1" })
                <select class="form-control" id="ddltype">
                    <option value="PleaseSelect">Please Select</option>
                    <option value="Azure">Azure</option>
                    <option value="Office">Office</option>
                    <option value="OnlineService">OnlineService</option>
                </select>
            </div>
            <div class="modal-footer">
                <button type="submit" id="btnGenerateInvoice" id attri class="btn btn-link waves-effect">Generate</button>
                <button type="button" class="btn btn-link waves-effect" data-dismiss="modal">Cancel</button>

            </div>
        </div>
    </div>
</div>

@section InScript{
    <script src="~/scripts/devExtream/DevJS/dx.all.js"></script>
    <script src="~/scripts/devExtream/DevJS/jszip.min.js"></script>
    <script src="~/scripts/devExtream/DevJS/dx.aspnet.data.js"></script>
    <script src="~/scripts/devExtream/DevJS/dx.aspnet.mvc.js"></script>

    <script type="text/javascript">


        $(document).ready(function () {
            
            $.removeCookie('Cart');

            $.ajax({
                url: '/Billing/GetCustomersviaDatatable',
                type: 'Post',
                success: function (response) {
                    var data = JSON.parse(response.data)
                    $("#devCustomerDataGrid").dxDataGrid({
                        dataSource: data,
                        showBorders: true,
                        columnsAutoWidth: true,
                        showBorders: true,
                        filterRow: {
                            visible: true,
                            applyFilter: "auto"
                        },
                        headerFilter: {
                            visible: true
                        },
                        paging: {
                            pageSize: 10
                        },
                        pager: {
                            showPageSizeSelector: true,
                            allowedPageSizes: [5, 10, 20],
                            showInfo: true
                        },
                        columns: [
                            {

                                //caption: "Company"
                                caption: "Company",
                                dataField: "Company",
                                cellTemplate: function (container, options) {
                                    var html = "<a class='CustomerLink' href='@Url.Action("Modules", "Order")/" + options.data.ID + "' _MCID=" + options.data.CustomerMCID + "><span>" + options.data.Company + "</span></a>";
                                    $(html)
                           .appendTo(container);
                                }

                            }
                        ,
                            "CompanyAccount", {
                                caption: "Relationship",
                                calculateCellValue: function (data) {
                                    return "Cloud Reseller"
                                }
                            }, {

                                caption: "Action",
                                cellTemplate: function (container, options) {
                                    var html = "<a class='btn btn-pinterest tbl_expend_btn ripple' _id=" + options.data.ID + " id='btnpdfInvoice' href='javascript:;'> <i class='fa fa-file-pdf-o'></i> &nbsp;&nbsp; <span> Invoice</span></a>";
                                    //var html = "<a class='btn btn-pinterest tbl_expend_btn ripple' _id=" + options.data.ID + " id='btnpdfInvoice' href='#' data-toggle='modal' data-target='#InvoiceConfirmation'> <i class='fa fa-file-pdf-o'></i> &nbsp;&nbsp; <span> Invoice</span></a>";
                                    //var html ="<a class='btn btn-pinterest tbl_expend_btn ripple' _id=" + options.data.ID + " id='btnpdfInvoice' href='@Url.Action("DownloadInvoice", "Invoice")/" + options.data.ID + "'> <i class='fa fa-file-pdf-o'></i> &nbsp;&nbsp; <span> Invoice</span></a>";
                                    $(html)
                           .appendTo(container);
                                }

                            }
                        ]
                    });


                },
                error: function (xhr) {
                    console.log(xhr);
                }
            });
        });


        $(document).on('click', '#btnpdfInvoice', function () {
            //$("#btnpdfInvoice").on('click', function () {
            $('#Customerid').val($(this).attr("_id"));
            $('#InvoiceConfirmation').modal('show');
        });
        $(document).on('click', '#btnGenerateInvoice', function () {
        //$('#btnGenerateInvoice').click(function () {
            //write Code to send parameter for generate PDF
            var date = new Date($('#Date').val());
            var month = date.getMonth() + 1;
            //Like this 
            window.location.href = '@Url.Action("DownloadInvoice", "Invoice")/' + $('#Customerid').val() + '-' + month + '-' + date.getFullYear() + '-' + $('#ddltype').val()
        });

        $('.CustomerLink').click(function () {
            var MCID = $(this).attr('_MCID');
            window.location.href = '@Url.Action("OrderHistory", "Order") /' + MCID;
        })

        @*$('#btnpdfInvoice').click(function () {
            var customerid = $(this).attr('_id');
            $.ajax({
                type: "post",
                url: "@Url.Action("DownloadInvoice", "Invoice")",
                data: { "CustomerId": customerid },
            success: function (data) {
                //$('#ProductModel').html(data);
                //$('.lblProductTitle').text(ProductTitle);
                //$('#ModelProduct').modal('show');
                //alert(data); ModelProduct
            }
        })
        })*@
        //function customerDataLoad() {

        //    var t = $("#customerTable").DataTable({
        //        "serverSide": true,

        //        "ajax": {
        //            "url": "/Customer/GetCustomersviaDatatable",
        //            "type": "POST",
        //            "datatype": "json"
        //        },


        //        "columns": [
        //            { "data": null },
        //            { "data": "ID", "name": "ID" },
        //            { "data": "Company", "name": "Company" },
        //            { "data": "CompanyAccount", "name": "CompanyAccount" },


        //        ],

        //        "columnDefs": [

        //            { "targets": [0], "searchable": false, "orderable": false },

        //            { "targets": [1], "visible": true },

        //        ],

        //        "processing": true,
        //        "language": { "processing": "Loading... Please Wait" },
        //        "order": [[1, "asc"]],

        //    });

        //    t.on('draw.dt', function () {
        //        var PageInfo = $('#customerTable').DataTable().page.info();
        //        t.column(0, { page: 'current' }).nodes().each(function (cell, i) {
        //            cell.innerHTML = i + 1 + PageInfo.start;
        //        });
        //    });


        //}
    </script>
}
